/* General Page Setup */
body {
  margin: 0;
  font-family: "Inter", Arial, sans-serif;
  background-color: #157A48;
}

/* Header */
.top-bar {
  display: flex;
  justify-content: space-between;
  align-items: center;
  background-color: #e5e5e5;
  padding: 10px 40px;
}

.logo img {
  height: auto;
  width: 80px;
}

.header-links a {
  color: black;
  text-decoration: none;
  margin-left: 20px;
  font-weight: 500;
}

/* Login Box */
.login-container {
  display: flex;
  justify-content: center;
  align-items: center;
  height: calc(100vh - 80px);
}

.login-box {
  background-color: white;
  padding: 40px 50px;
  border-radius: 10px;
  width: 350px;
  box-shadow: 0 5px 15px rgba(0, 0, 0, 0.1);
}

.login-box h2 {
  text-align: left;
  margin-bottom: 25px;
  color: black;
}

/* Form Elements */
form {
  display: flex;
  flex-direction: column;
}

label {
  color: black;
  font-size: 0.95em;
  margin-bottom: 5px;
}

input[type="email"],
input[type="password"] {
  padding: 10px;
  border-radius: 8px;
  border: 1px solid #555;
  margin-bottom: 20px;
  outline: none;
  font-size: 1em;
}

.checkbox {
  display: flex;
  align-items: center;
  margin-bottom: 20px;
}

.checkbox label {
  margin-left: 8px;
  color: black;
  font-size: 0.9em;
}

.lock-icon {
  width: auto;
  height: px;
  vertical-align: middle;
}


/* Button */
#loginBtn {
  width: 100%;              
  background-color: #157A48;
  color: white;
  border: none;
  padding: 14px 0;          
  border-radius: 30px;       
  font-size: 1.1em;
  font-weight: 600;
  cursor: pointer;
  transition: all 0.3s ease;
  margin-top: 10px;
}
#loginBtn:hover {
  background-color: #136b3f; /* slightly darker hover */
}

/* Forgot Password */
.forgot-text {
  text-align: center;
  font-size: 0.9em;
  margin-top: 20px;
  color: black;
}

.reset-link {
  color: #157A48;
  text-decoration: none;
  font-size: 0.9em;
}

.reset-link:hover {
  text-decoration: underline;
}

/* ===== Loader Styles ===== */
#loader {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: #157A48;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  z-index: 9999;
  transition: opacity 0.6s ease, visibility 0.6s ease;
  opacity: 0;
  visibility: hidden;
}

#loader.active {
  opacity: 1;
  visibility: visible;
}

.spinner {
  border: 6px solid #e5e5e5;
  border-top: 6px solid white;
  border-radius: 50%;
  width: 60px;
  height: 60px;
  animation: spin 1s linear infinite;
  margin-bottom: 20px;
}

@keyframes spin {
  from { transform: rotate(0deg); }
  to { transform: rotate(360deg); }
}

@keyframes spin {
  from { transform: rotate(0deg); }
  to { transform: rotate(360deg); }
}


/* Responsive */
@media (max-width: 600px) {
  .login-box {
    width: 90%;
    padding: 30px;
  }
}
